#
# spec file for package flwrap
#
# Copyright (c) 2017 Walter Fey DL8FCL
#
# This file is under MIT license

Name:           flwrap
Version:        1.3.4
Release:        lp152.3.2
License:        GPL-2.0
Summary:        Allows receipt verification of a broadcast message
Url:            http://www.w1hjk.com
Group:          Productivity/Hamradio/Other
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  fltk-devel
BuildRequires:  gcc-c++
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  update-desktop-files
BuildRequires:  xorg-x11-devel

%description
Flwrap is a software utility for Amateur Radio use.  Its purpose is to
encapsulate both text and binary files in a way that allows them to be

transmitted over any of several digital modes
verified at the receipt end for correctness

Authors:
--------
    W1HKJ    -   w1hkj@w1hkj.com

%prep
%setup -q

%build
%configure
CFLAGS="%{optflags}"
make

%install
%make_install
%suse_update_desktop_file -i flwrap

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%doc ChangeLog COPYING README
%{_datadir}/pixmaps/flwrap.xpm
%{_datadir}/applications/flwrap.desktop

%changelog
* Sun Nov 10 2013 dl8fcl@darc.de
- spec file cleaned
* Tue Jun 19 2012 dl8fcl@darc.de
- update to version 1.3.4, Security fix and bug fix
* Thu Jan 26 2012 dl8fcl@darc.de
- update to version 1.3.2, build with fltk-1.1.10 and fltk-1.3.0
* Thu Aug  5 2010 dl8fcl@darc.de
- update to version 1.3.1
* Fri Jul 30 2010 dl8fcl@darc.de
- update to version 1.3.0
* Thu Jul  1 2010 dl8fcl@darc.de
- update to version 1.2.0
* Sun May  2 2010 dl8fcl@darc.de
- import into buildservice
